package models

import (
   // "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgPlayerUser struct {
    models.Model
    
    Username string `json:"username" gorm:"type:varchar(255);comment:登录账号（手机号）"` 
    Password string `json:"password" gorm:"type:varchar(255);comment:密码"` 
    Nickname string `json:"nickname" gorm:"type:varchar(255);comment:昵称"` 
    Headimg string `json:"headimg" gorm:"type:varchar(255);comment:头像"` 
    OpenId string `json:"openId" gorm:"type:varchar(60);comment:小程序唯一id"` 
    Phone string `json:"phone" gorm:"type:varchar(20);comment:小程序手机号"` 
    models.ModelTime
    models.ControlBy
}

func (OrgPlayerUser) TableName() string {
    return "org_player_user"
}

func (e *OrgPlayerUser) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgPlayerUser) GetId() interface{} {
	return e.Id
}